<form [formGroup]="optionsForm" (ngSubmit)="onSubmit()">
    <h2 class="page-header">{{'PROJECT.OPTIONS' | translate}}</h2>
    <app-box title="{{'PROJECT.FILE.TITLE' | translate}}">
        <p>{{'PROJECT.FILE.DESCRIPTION' | translate}}</p>
        <div formArrayName="files" *ngFor="let file of formFiles.controls; let i = index">
            <div [formGroupName]="i" class="row">
                <div class="col-sm-5">
                    <app-form-group [control]="file.get('origin')" label="{{'PROJECT.FILE.ORIGIN' | translate}}">
                        <input type="text" formControlName="origin" id="origin" class="form-control">
                    </app-form-group>
                </div>
                <div class="col-sm-5">
                    <app-form-group [control]="file.get('destination')" label="{{'PROJECT.FILE.DESTINATION' | translate}}">
                        <input type="text" formControlName="destination" id="destination" class="form-control">
                    </app-form-group>
                </div>
                <div class="col-sm-2">
                    <div class="form-group">
                        <label>&nbsp;</label>
                        <button style="display: block" type="button" class="btn btn-danger" (click)="deleteFile(i)"><i class="fa fa-trash"></i></button>
                    </div>
                </div>
            </div>
            <hr style="margin: 5px 0;">
        </div>
        <div class="row">
            <div class="col-xs-12">
                <button type="button" class="btn btn-default" style="margin: 10px 0;" (click)="addFile()"><i class="fa fa-plus"></i> {{'FORM.ADD' | translate}}</button>
            </div>
        </div>
    </app-box>
    <app-box title="{{'PROJECT.SHARED.TITLE' | translate}}">
        <p>{{'PROJECT.SHARED.DESCRIPTION' | translate}}</p>
        <div formArrayName="shareds" *ngFor="let shared of formShareds.controls; let i = index">
            <div [formGroupName]="i" class="row">
                <div class="col-sm-10">
                    <app-form-group [control]="shared.get('path')" label="{{'PROJECT.SHARED.PATH' | translate}}">
                        <input type="text" formControlName="path" id="path" class="form-control">
                    </app-form-group>
                </div>
                <div class="col-sm-2">
                    <div class="form-group">
                        <label>&nbsp;</label>
                        <button style="display: block" type="button" class="btn btn-danger" (click)="deleteShared(i)"><i class="fa fa-trash"></i></button>
                    </div>
                </div>
            </div>
            <hr style="margin: 5px 0;">
        </div>
        <div class="row">
            <div class="col-xs-12">
                <button type="button" class="btn btn-default" style="margin: 10px 0;" (click)="addShared()"><i class="fa fa-plus"></i> {{'FORM.ADD' | translate}}</button>
            </div>
        </div>
    </app-box>
    <div class="row">
        <div class="col-xs-12">
            <button type="submit" class="btn btn-success">{{'FORM.SAVE' | translate}}</button>
        </div>
    </div>
</form>
